Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 597244

Summary: [LTC 6.0 FEAT] Update SBLIM JSR48 CIM Client to 2.1.3
Product: Red Hat Enterprise Linux 6 Reporter: IBM Bug Proxy <bugproxy>
Component: sblim-cim-client2Assignee: Vitezslav Crhonek <vcrhonek>
Status: CLOSED CURRENTRELEASE QA Contact: Alex Sersen <asersen>
Severity: medium Docs Contact:
Priority: medium    
Version: 6.0CC: asersen, azelinka, borgan, jjarvis, nobody+PNT0273897, ohudlick, rvokal, sbest, snagar, ykopkova
Target Milestone: rcKeywords: FutureFeature, OtherQA, Rebase
Target Release: 6.0   
Hardware: All   
OS: All   
Whiteboard:
Fixed In Version: sblim-cim-client2-2.1.3-1.el6 Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-11-15 14:47:07 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description IBM Bug Proxy 2010-05-28 13:43:33 UTC
1. Feature Overview:
Feature Id: [64350]
a. Name of Feature: [LTC 6.0 FEAT] Update SBLIM JSR48 CIM Client to 2.1.3
b. Feature Description

Update the SBLIM Java CIM Client from version 2.0.9.2 to 2.1.3 to pick up latest bug fixes, support
for pulled enumeration APIs, and to eliminate the possibilty that uses may have to do some recoding
to move from 2.0.9.2 to 2.1.x in the future:

Use Case: This update would allow users to NOT have to recode their system management apps when
upgrading from 2.0.x to 2.1.x at a later date, and provides the user with the highly sought-after
pulled enumeration APIs.

2. Feature Details:
Sponsor: LTC System Mgmt
Architectures:
  IA_64ppc64x86x86_64zSeries - 31/32 Native

Arch Specificity: purely common code
Affects Kernel Modules: No
Delivery Mechanism: Direct from Community
Category: system management
Request Type: Package - Update Version
d. Upstream Acceptance: Accepted
Sponsor Priority P2
f. Severity: normal
IBM Confidential: No
Code Contribution: IBM code
g. Component Version Target:
---

3. Business Case
Customer satisfaction - moving from 2.0.9.2 to 2.1.3 in the initial RHEL 6 delivery will prevent
users from having to recode their apps at a later date (RHEL 6.1 or RHEL 7).

4. Primary contact at Red Hat:
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Michael W. Wortman, wortman@us.ibm.com

Technical contact(s):
David E. Blaschke, blaschke@us.ibm.com

Comment 2 IBM Bug Proxy 2010-05-28 14:02:45 UTC
------- Comment From rsisk@us.ibm.com 2010-05-28 09:50 EDT-------
Bug 48465 incorporated SBLIM Java CIM Client 2.0.9.2 into RHEL 6.  Version 2.x
is the JSR48 compliant version.  2.0.x was written to an old version of the
JSR48 spec and requires Jav 1.4.  2.1.x was written to th final version of the
JSR48 spec and requires Java 5, so there is a distinct possibility that a user
would have to put some recoding effort in to move from 2.0.x to 2.1.x at a
later date, so the best solution is to ship 2.1.3 now so that issue is
eliminated.

Comment 3 John Jarvis 2010-05-28 14:35:35 UTC
IA64 would not be one of the requested architecture.

Comment 5 John Jarvis 2010-05-28 15:54:14 UTC
IBM is signed up to test and provide feedback.

Comment 8 John Jarvis 2010-06-28 16:56:32 UTC
This request is approved and planned for snapshot 7.

Comment 10 IBM Bug Proxy 2010-07-15 00:40:40 UTC
------- Comment From blaschke@us.ibm.com 2010-07-14 20:36 EDT-------
Found sblim-cim-client2-2.1.3-1.el6.noarch.rpm in snap 7

Comment 11 IBM Bug Proxy 2010-07-15 17:41:09 UTC
------- Comment From blaschke@us.ibm.com 2010-07-15 13:37 EDT-------
FVT executed at 1497/1497 with sblim-cim-client2-2.1.3.jar

Comment 14 releng-rhel@redhat.com 2010-11-15 14:47:07 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.